package it.unibs.arnaldo.rovineperdute;

/**
 * Classe che rappresenta una città perduta, ovvero una rovina con le sue coordinate, nome e ID.
 */
public class RovinaPerduta {
    private final Coordinata coordinata;
    private final String nome;
    private final int id;

    /**
     * Costruttore della classe RovinaPerduta.
     * @param coordinata la coordinata della rovina perduta
     * @param nome il nome della rovina perduta
     * @param id l'ID della rovina perduta
     */
    public RovinaPerduta(Coordinata coordinata, String nome, int id) {
        this.coordinata = coordinata;
        this.nome = nome;
        this.id = id;
    }

    /**
     * Getter per le coordinate della rovina perduta.
     * @return la coordinata della rovina perduta
     */
    public Coordinata getCoordinata() {
        return coordinata;
    }

    /**
     * Getter per il nome della rovina perduta.
     * @return il nome della rovina perduta
     */
    public String getNome() {
        return nome;
    }

    /**
     * Getter per l'ID della rovina perduta.
     * @return l'ID della rovina perduta
     */
    public int getId(){
        return id;
    }

    @Override
    public String toString() {
        return nome + " (" + coordinata.getX() + ", " + coordinata.getY() + ", " + coordinata.getAltezza() + ")";
    }
}
