package it.unibs.arnaldo.rovineperdute;

import it.kibo.fp.lib.Menu;

/**
 * Classe principale per gestire le rovine perdute.
 * Permette di generare un file XML contenente le informazioni sulle rovine in base alla scelta dell'utente.
 */

public class RovinePerduteMain {
    private static final String[] MENU_OPTIONS = {
            "5 rovine perdute",
            "12 rovine perdute",
            "50 rovine perdute",
            "200 rovine perdute",
            "2000 rovine perdute",
            "10000 rovine perdute",
    };

    public static void main(String[] args) {
        int valore = ottieniValore();


        if (valore != -1) {
            RovinePerduteHandler rph = new RovinePerduteHandler(String.format("test_file/PgAr_Map_%d.xml", valore));
            rph.generaFileXML();
        }
    }

    /**
     * Ottiene il valore selezionato dal menu.
     * @return il valore corrispondente alla scelta dell'utente in modo da scegliere il file XML corretto.
     */
    private static int ottieniValore() {
        Menu menu = new Menu("Rovine Perdute", MENU_OPTIONS, true, false, false);
        int scelta = menu.choose();
        int valore = 0;
        switch (scelta) {
            case 1 -> valore = 5;
            case 2 -> valore = 12;
            case 3 -> valore = 50;
            case 4 -> valore = 200;
            case 5 -> valore = 2000;
            case 6 -> valore = 10000;
            case 0 -> valore = -1;
        }
        return valore;
    }
}
